#
# spec file for package ocfs2-tools (Version 1.4.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ocfs2-tools
BuildRequires:  e2fsprogs-devel glib2-devel libcom_err-devel libdlm-devel libopenais-devel libpacemaker-devel libxml2-devel libxslt-devel python-devel python-gtk-devel readline-devel update-desktop-files
Summary:        Oracle Cluster File System 2 Core Tools
Version:        1.4.1
Release:        25
License:        GPLv2+
Group:          System/Filesystems
Source:         ocfs2-tools.tar.bz2
Source1:        o2cb.ocf
Patch5:         ocfs2-tools-static-glib.diff
Patch6:         ocfs2console-display-fix.diff
Patch7:         ocfs2-tools-glibc210.diff
Patch99:        ocfs2-devel.diff
Patch100:       ocfs2-quota.diff
Patch101:       change-quotafile-names.diff
Patch102:       ocfs2_controld-pacemaker.diff
Patch103:       ocfs2console-extraoption-fix.diff
Patch104:       ocfs2console-pop-display-warning.diff
Patch105:       ocfs2_controld-retry-470741.diff
Patch106:       tunefs.ocfs2.8.in_more_options.diff
Patch107:       ocfs2-mount-gcc45.patch
Patch108:       ocfs2-tools-dynamic-com-err.patch
Url:            http://oss.oracle.com/projects/ocfs2-tools/
Requires:       net-tools, modutils, e2fsprogs, /sbin/chkconfig, glib2 >= 2.2.3
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libdlm
%if %suse_version < 1120
# There's no separate kmp for openSUSE 11.2
Requires:       ocfs2-kmp
%endif

%description
OCFS is the Oracle Cluster File System.

This package contains the core user-space tools needed for creating and
managing the file system.



Authors:
--------
    Oracle Corporation

%package -n ocfs2console
License:        GPLv2+
Summary:        Oracle Cluster Filesystem 2 GUI tools
Group:          System/Filesystems
Obsoletes:      ocfs2-support
Requires:       ocfs2-tools = %{version}
AutoReqProv:    No
Requires:       e2fsprogs, glib2 >= 2.2.3, vte >= 0.11.10, python-gtk >= 1.99.16, ocfs2-tools = %{version}

%description -n ocfs2console
OCFS is the Oracle Cluster Filesystem.

This package contains additional tools and a GUI (python-gtk).



Authors:
--------
    Oracle Corporation

%package devel
License:        GPLv2+
Summary:        Oracle Cluster File System 2 Development files
Group:          System/Filesystems
Requires:       ocfs2-tools = %{version}, libcom_err, libcom_err-devel

%description devel
OCFS is the Oracle Cluster File System.

This package contains the header files and static libraries for
developing low-level OCFS2-aware applications.



Authors:
--------
    Oracle Corporation

%package o2cb
License:        GPLv2+
Summary:        Oracle Cluster File System 2 Core Tools
Group:          System/Filesystems
Requires:       ocfs2-tools = %{version}

%description o2cb
OCFS is the Oracle Cluster File System.

This package contains the core user-space tools needed for creating and
managing the file system.



Authors:
--------
    Oracle Corporation

%prep
%setup -n %{name}
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p0
%patch108 -p0

%build
# disable as-needed to fix configure checks
export SUSE_ASNEEDED=0
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
export PROJECT="ocfs2-tools"
autoreconf -fi -I /usr/share/aclocal
%configure --disable-debug --prefix=/usr --mandir=%{_mandir} \
 --enable-dynamic-fsck=yes --enable-dynamic-ctl=yes
make OPTS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/ocfs2
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/o2cb
cp -f vendor/common/ocfs2.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ocfs2
cp -f vendor/common/51-ocfs2.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
cp -f $RPM_SOURCE_DIR/o2cb.ocf $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/ocfs2/o2cb
chmod a+x $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/ocfs2/o2cb
cp -f vendor/common/o2cb.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.o2cb
ln -sf ..%{_sysconfdir}/init.d/o2cb  $RPM_BUILD_ROOT/sbin/rco2cb
ln -sf ..%{_sysconfdir}/init.d/ocfs2  $RPM_BUILD_ROOT/sbin/rcocfs2
make DESTDIR="$RPM_BUILD_ROOT" install
mv $RPM_BUILD_ROOT/{,/usr}/sbin/o2image
mv $RPM_BUILD_ROOT/{,/usr}/sbin/debugfs.ocfs2
mv $RPM_BUILD_ROOT/{,/usr}/sbin/ocfs2_controld.pcmk
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{py_sitedir}/ocfs2interface', ddir='%{py_sitedir}/ocfs2interface')"

%clean
if
  [ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi

%post -p /sbin/ldconfig

%preun o2cb
%stop_on_removal ocfs2
%stop_on_removal o2cb

%postun o2cb
/sbin/ldconfig
%{insserv_cleanup}
%restart_on_update ocfs2
%restart_on_update o2cb

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
/sbin/fsck.ocfs2
/sbin/mkfs.ocfs2
/sbin/mounted.ocfs2
/sbin/tunefs.ocfs2
/sbin/mount.ocfs2
%{_sbindir}/o2image
%{_sbindir}/debugfs.ocfs2
%{_sbindir}/ocfs2_controld.pcmk
%config %{_sysconfdir}/udev/rules.d/51-ocfs2.rules
%{_mandir}/man8/debugfs.ocfs2.8*
%{_mandir}/man8/fsck.ocfs2.8*
%{_mandir}/man8/fsck.ocfs2.checks.8*
%{_mandir}/man8/mkfs.ocfs2.8*
%{_mandir}/man8/tunefs.ocfs2.8*
%{_mandir}/man8/mounted.ocfs2.8*
%{_mandir}/man8/mount.ocfs2.8*
%{_mandir}/man8/o2image.8.gz
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
%dir /usr/lib/ocf/resource.d/ocfs2
/usr/lib/ocf/resource.d/ocfs2/o2cb

%files -n ocfs2console
%defattr(-,root,root)
%{_sbindir}/ocfs2console
%{py_sitedir}/ocfs2interface
%{_mandir}/man8/ocfs2console.8*

%files o2cb
%defattr(-,root,root)
/sbin/rco2cb
/sbin/rcocfs2
/sbin/o2cb_ctl
/sbin/ocfs2_hb_ctl
%{_sysconfdir}/init.d/o2cb
%{_sysconfdir}/init.d/ocfs2
%{_mandir}/man8/o2cb_ctl.8*
%{_mandir}/man8/ocfs2_hb_ctl.8*
/var/adm/fillup-templates/sysconfig.o2cb
%{_mandir}/man7/o2cb.7.gz

%files devel
%defattr(-,root,root)
%{_includedir}/o2cb
%{_includedir}/o2dlm
%{_includedir}/ocfs2
%{_includedir}/ocfs2-kernel
%{_libdir}/pkgconfig/o2cb.pc
%{_libdir}/pkgconfig/o2dlm.pc
%{_libdir}/pkgconfig/ocfs2.pc

%changelog
